You are not logged in.

#1 2018-05-12 21:43:31

Pryka
Member
Registered: 2018-02-07
Posts: 69

nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

After today's update Xorg is failing to start:

Pacman log:

[2018-05-12 09:35] [PACMAN] Running 'pacman -Syu'
[2018-05-12 09:35] [PACMAN] synchronizing package lists
[2018-05-12 09:35] [PACMAN] starting full system upgrade
[2018-05-12 09:36] [ALPM] transaction started
[2018-05-12 09:36] [ALPM] upgraded deepin-desktop-schemas (3.2.10-1 -> 3.2.11-1)
[2018-05-12 09:36] [ALPM] upgraded xorg-server-common (1.19.6+13+gd0d1a694f-2 -> 1.20.0-1)
[2018-05-12 09:36] [ALPM] upgraded xorg-server (1.19.6+13+gd0d1a694f-2 -> 1.20.0-1)
[2018-05-12 09:37] [ALPM] upgraded nvidia-390xx-utils (390.48-1 -> 390.48-2)
[2018-05-12 09:37] [ALPM-SCRIPTLET] If you run into trouble with CUDA not being available, run nvidia-modprobe first.
[2018-05-12 09:37] [ALPM] upgraded xdg-utils (1.1.2-2 -> 1.1.3-1)
[2018-05-12 09:37] [ALPM] upgraded deepin-qt5dxcb-plugin (1.1.8.4-1 -> 1.1.8.6-1)
[2018-05-12 09:37] [ALPM] installed ndctl (60.1-1)
[2018-05-12 09:37] [ALPM] upgraded libblockdev (2.16-1 -> 2.17-1)
[2018-05-12 09:37] [ALPM] upgraded deepin-launcher (4.3.2.2-1 -> 4.3.2.3-1)
[2018-05-12 09:37] [ALPM] upgraded lib32-libdrm (2.4.91-3 -> 2.4.92-1)
[2018-05-12 09:37] [ALPM] upgraded lib32-nvidia-390xx-utils (390.48-1 -> 390.48-2)
[2018-05-12 09:37] [ALPM] upgraded nvidia-390xx (390.48-2 -> 390.48-3)
[2018-05-12 09:37] [ALPM] upgraded python2-twisted (17.9.0-1 -> 18.4.0-1)
[2018-05-12 09:37] [ALPM] upgraded sudo (1.8.22-1 -> 1.8.23-1)
[2018-05-12 09:37] [ALPM] upgraded virtualbox-host-modules-arch (5.2.10-7 -> 5.2.12-1)
[2018-05-12 09:37] [ALPM] upgraded virtualbox (5.2.10-1 -> 5.2.12-1)
[2018-05-12 09:37] [ALPM] upgraded virtualbox-guest-iso (5.2.10-1 -> 5.2.12-1)
[2018-05-12 09:37] [ALPM] upgraded wine (3.7-1 -> 3.8-1)

Xorg log:

[    19.428] (II) LoadModule: "glx"
[    19.428] (II) Loading /usr/lib/nvidia/xorg/libglx.so
[    19.436] (II) Module glx: vendor="NVIDIA Corporation"
[    19.436] 	compiled for 4.0.2, module version = 1.0.0
[    19.436] 	Module class: X.Org Server Extension
[    19.436] (II) NVIDIA GLX Module  390.48  Wed Mar 21 23:42:56 PDT 2018
[    19.436] (II) LoadModule: "nvidia"
[    19.436] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    19.436] (II) Module nvidia: vendor="NVIDIA Corporation"
[    19.436] 	compiled for 4.0.2, module version = 1.0.0
[    19.436] 	Module class: X.Org Video Driver
[    19.437] ================ WARNING WARNING WARNING WARNING ================
[    19.437] This server has a video driver ABI version of 24.0 that this
driver does not officially support.  Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
[    19.437] =================================================================
[    19.437] (EE) NVIDIA: Use the -ignoreABI option to override this check.
[    19.437] (II) UnloadModule: "nvidia"
[    19.437] (II) Unloading nvidia
[    19.437] (EE) Failed to load module "nvidia" (unknown error, 0)
[    19.437] (EE) No drivers available.
[    19.437] (EE) 
Fatal server error:
[    19.437] (EE) no screens found(EE) 
[    19.437] (EE) 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[    19.437] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    19.437] (EE) 
[    19.437] (EE) Server terminated with error (1). Closing log file.

I have a hook for rebuilding initramfs, and I rebuilded it 2 times on my own, problem still occour.

EDIT:
Sorry it should be on Testing subforum. neutral

Last edited by V1del (2018-05-18 07:51:49)

Offline

#2 2018-05-12 21:47:15

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 5,450

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

That needs a new driver release, 396 should have the ABI compat, it's likely that nvidia will push out an update to the legacy branches soon.

Also the kernel module isn't the issue here, it's the x driver that is ABI incompatible to the new xorg release, so rebuilding your initramfs expectedly does not have an effect.

Mod note: Moving to testing

Last edited by V1del (2018-05-12 21:50:36)

Offline

#3 2018-05-12 21:50:15

Pryka
Member
Registered: 2018-02-07
Posts: 69

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

I'm forced to stay on legacy.

I would switch to nouveau but its a mess on my PC. Only work properly without 3D acceleration.


EDIT: I just downgraded and blocked xorg-server and xorg-server-common until legacy branch will be updated upstream.

Last edited by Pryka (2018-05-13 07:52:50)

Offline

#4 2018-05-17 12:50:53

sayonalion
Member
Registered: 2016-10-25
Posts: 24

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

I have the same problem.

I solved it by adding to `/etc/X11/xorg.conf.d/20-server_flags.conf' the following:

Section "ServerFlags"
  Option "IgnoreABI" "1"
EndSection

After that the X server started to load without any issues, but with the following warning:

================ WARNING WARNING WARNING WARNING ================
This server has a video driver ABI version of 24.0 that this
driver does not officially support.  Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
=================================================================
(WW) NVIDIA: The driver will continue to load, but may behave strangely.
(WW) NVIDIA: This driver was compiled against the X.Org server SDK from xorg-server-1.19.99.901 and may not be compatible with the final version of this SDK.

NVIDIA GeForce 410M; xorg-server 1.20.0; nvidia-390xx 390.48

Offline

#5 2018-05-17 12:54:52

blablo
Member
Registered: 2011-06-02
Posts: 35

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

Offline

#6 2018-05-17 13:13:09

sayonalion
Member
Registered: 2016-10-25
Posts: 24

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

@blablo Thanks. I will wait for nvidia-390xx 390.59.

Offline

#7 2018-05-18 07:50:56

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 5,450

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

As this is still an issue, I'm moving this to Kernel & Hardware

I'm also taking the liberty of adjusting the title a bit to correctly reflect the current status, feel free to remark as [SOLVED] once a real fix has been pushed.

Also note that adjusting Xorg conf to ignore the ABI has the same implications as incorrect symlinks, it "might" still work, but it also might set your cat on fire, so use that with caution.

Last edited by V1del (2018-05-18 07:55:21)

Offline

#8 2018-05-18 08:04:15

jcerdan
Member
From: Andorra
Registered: 2005-12-17
Posts: 50
Website

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

Hi,

I encountered the same problem with nvidia-340xx driver, but adding option "IgnoreABI" as @sayonalion suggested did not solve the problem. I had to downgrade xorg-server to 1.19.

Regards

Offline

#9 2018-05-18 08:05:11

m3thodic
Member
Registered: 2004-08-24
Posts: 65

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

I ran into something similar with X behaving funky: running bumblebee manually in the foreground with debug turned on gave me the following

[ 2437.363642] [DEBUG][XORG] (**) <default pointer>: always reports core events
[ 2437.363645] [DEBUG][XORG] /usr/bin/X: symbol lookup error: /usr/lib/xorg/modules/input/mouse_drv.so: undefined symbol: xf86GetOS
[ 2437.373896] [DEBUG]Process with PID 29061 returned code 127
[ 2437.373913] [ERROR]X did not start properly

Removing xf86-input-mouse fixed it for me.

Offline

#10 2018-05-18 11:18:08

jtgd
Member
From: San Jose, CA
Registered: 2013-06-23
Posts: 40

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

jcerdan wrote:

Hi,

I encountered the same problem with nvidia-340xx driver, but adding option "IgnoreABI" as @sayonalion suggested did not solve the problem. I had to downgrade xorg-server to 1.19.

Regards

I also run 340 but I can't seem to downgrade. How did you do that?

I ran yaourt and chose xorg-server-git 1.19, but after 5 minutes of compiling it asks to reinstall 1.20, I say no, but no matter, it still says 1.20 when I run Xorg. Is there some other step to get it to downgrade? Do I need the previous version of Linux as well?


Arch + awesome

Offline

#11 2018-05-18 11:27:26

SteScheller
Member
Registered: 2018-05-18
Posts: 2

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

Have a look in the wiki: Downgrading packages

Look which old packages are in pacman cache:

$ ls /var/cache/pacman/pkg | grep xorg-server

gives something like:

xorg-server-1.19.3-1-x86_64.pkg.tar.xz
xorg-server-1.19.3-2-x86_64.pkg.tar.xz
xorg-server-1.19.3-3-x86_64.pkg.tar.xz
xorg-server-1.19.4-1-x86_64.pkg.tar.xz
xorg-server-1.19.5-1-x86_64.pkg.tar.xz
xorg-server-1.19.6+13+gd0d1a694f-1-x86_64.pkg.tar.xz
xorg-server-1.19.6+13+gd0d1a694f-2-x86_64.pkg.tar.xz
xorg-server-1.19.6-2-x86_64.pkg.tar.xz
xorg-server-1.20.0-2-x86_64.pkg.tar.xz
xorg-server-common-1.19.3-1-x86_64.pkg.tar.xz
xorg-server-common-1.19.3-2-x86_64.pkg.tar.xz
xorg-server-common-1.19.3-3-x86_64.pkg.tar.xz
xorg-server-common-1.19.4-1-x86_64.pkg.tar.xz
xorg-server-common-1.19.5-1-x86_64.pkg.tar.xz
xorg-server-common-1.19.6+13+gd0d1a694f-1-x86_64.pkg.tar.xz
xorg-server-common-1.19.6+13+gd0d1a694f-2-x86_64.pkg.tar.xz
xorg-server-common-1.19.6-2-x86_64.pkg.tar.xz
xorg-server-common-1.20.0-2-x86_64.pkg.tar.xz
xorg-server-utils-7.6-4-any.pkg.tar.xz
xorg-server-xephyr-1.19.3-1-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.3-2-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.3-3-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.4-1-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.5-1-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.6+13+gd0d1a694f-1-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.6+13+gd0d1a694f-2-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.6-2-x86_64.pkg.tar.xz
xorg-server-xephyr-1.20.0-2-x86_64.pkg.tar.xz

... and downgrade using pacman, e.g.:

# pacman -U/var/cache/pacman/pkg/<Name of old xorg-server or xorg-server-common package>-x86_64.pkg.tar.xz 

Offline

#12 2018-05-18 11:29:10

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 5,450

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

If you install a -git package from AUR you will install the latest version (i.e. in this case even newer than what's in the repos), that's a distinction you should be aware of. You want to install a older version of the plain xorg-server package, which might likely be still in your cache: https://wiki.archlinux.org/index.php/Do … g_packages

Edit: Whelp too slow.

Edit2: A fixed driver should be in the repos now.

Last edited by V1del (2018-05-18 15:16:02)

Offline

#13 2018-05-18 18:31:19

sayonalion
Member
Registered: 2016-10-25
Posts: 24

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

V1del wrote:

Edit2: A fixed driver should be in the repos now.

Now, the X server loads without any issues or log warnings. Thanks.

Offline

#14 2018-05-18 18:36:16

keepitsimpleengineer
Member
From: San Joaquin Valley, CA
Registered: 2012-06-25
Posts: 323
Website

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

V1del wrote:

Edit2: A fixed driver should be in the repos now.

The version nvidia-390xx 390.59-1 is the one you are talking about?


Al Einstein: "Man soll die Dinge so einfach machen wie möglich ~ aber nicht einfacher." (Things should be as simple as possible ~ but not too simple.) ~ Al (Einstein) war ein Cousin von Albert, "Al" ist die Abkürzung für Alphonse

Offline

#15 2018-05-18 19:55:23

papavlos
Member
Registered: 2017-09-23
Posts: 16

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

keepitsimpleengineer wrote:
V1del wrote:

Edit2: A fixed driver should be in the repos now.

The version nvidia-390xx 390.59-1 is the one you are talking about?

Yes, it has helped also me.

Offline

#16 2018-05-18 21:17:49

jtgd
Member
From: San Jose, CA
Registered: 2013-06-23
Posts: 40

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

papavlos wrote:
keepitsimpleengineer wrote:
V1del wrote:

Edit2: A fixed driver should be in the repos now.

The version nvidia-390xx 390.59-1 is the one you are talking about?

Yes, it has helped also me.

Is there any hope that nvidia-340 will be fixed?


Arch + awesome

Offline

#17 2018-05-18 21:48:16

loqs
Member
Registered: 2014-03-06
Posts: 5,967

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

@jtgd that was covered by the first link blablo posted in post #5

Offline

#18 2018-05-18 22:03:50

jtgd
Member
From: San Jose, CA
Registered: 2013-06-23
Posts: 40

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

loqs wrote:

@jtgd that was covered by the first link blablo posted in post #5

Ah yes, thanks.

It was confusing though. On the one hand he says "eventually" and then says "it's unlikely that we'll backport it to the legacy branches." which sounds more like "never". Is that libgl required for normal window manager use?


Arch + awesome

Offline

#19 2018-05-18 22:19:37

loqs
Member
Registered: 2014-03-06
Posts: 5,967

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

I read it as the nvidia-340xx package will have to continue using a work around for libgl support as nvidia will not backport libglvnd support for it.
If a window manager uses hardware acceleration then that would require libgl support so it depends on which window manager.

Offline

#20 2018-05-18 22:30:07

jtgd
Member
From: San Jose, CA
Registered: 2013-06-23
Posts: 40

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

I'm using awesomewm and I'm not sure if it uses acceleration. For now I'd like to get back to a working computer and I haven't figured out yet how to get back to 1.19.


Arch + awesome

Offline

#21 2018-05-18 22:51:17

jtgd
Member
From: San Jose, CA
Registered: 2013-06-23
Posts: 40

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

I'm up and running. The downgrade package saved the day for me. Thank you all for the advice.


Arch + awesome

Offline

#22 2018-05-19 21:35:16

djraymondnm
Member
From: Socorro, NM, USA
Registered: 2011-12-28
Posts: 59
Website

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

I am running into similar problems with Intel graphics on a Lenovo X1 carbon laptop with xorg-server 1.20.  I get a tiny window in the upper left corner.  Downgrading to 1.19 fixes the problem.  Given the warning in comment #7, I have not tried turning off ABI with 1.20.

Offline

#23 2018-05-19 21:43:08

loqs
Member
Registered: 2014-03-06
Posts: 5,967

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

@djraymondnm please look through https://bbs.archlinux.org/viewtopic.php?id=237162 and see if any of those issues match your situation as you are not using nvidia-390xx.
I would suggest starting a new topic for a new issue if you can not find a matching description there.

Offline

#24 2018-05-20 01:35:37

DarwinSurvivor
Member
Registered: 2009-08-05
Posts: 10

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

In case anyone on the 340 drives finds this page:
I ran into the same problem today after and update (I was using the nvidia-340 driver). Upgrading to nvidia-390 and rebooting solved the problem.

Offline

#25 2018-05-20 11:12:50

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 5,450

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

@DarwinSurvivor and that doesn't help anyone that is actually using nvidia-340xx because they have to, but either way, there's an alarming number of people not installing the correct drivers for their card generation.

Anyone that actually has a need for 340xx please open a new topic if you want it discussed, this one was specifically for 390xx

Offline

Board footer

Powered by FluxBB